Bug 503076 - Error in tuning guide
Error in tuning guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Realtime_Tuning_Guide (Show other bugs)
1.1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Lana Brindley
David Sommerseth
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 14:08 EDT by Bryan Che
Modified: 2016-05-22 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 00:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2009-05-28 14:08:57 EDT
There's a mistake on this page:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.1/html/Realtim
e_Tuning_Guide/sect-Realtime_Tuning_Guide-General_System_Tuning-gettimeo
fday_speedup.html

It talks about echo'ing values into /proc/sys/kernel/syscall64, whereas
actually the file is /proc/sys/kernel/vsyscall64. The page should
probably also document that echoing a value into this file results in an
error, although it appears to have the desired effect.
Comment 1 Luis Claudio R. Goncalves 2009-07-15 13:59:42 EDT
Good catch, the path is wrong. On the other hand, echo'ing values is a valid operation:

[root@void ~]# cat  /proc/sys/kernel/vsyscall64 
1
[root@void ~]# echo 0 >  /proc/sys/kernel/vsyscall64 
[root@void ~]# cat  /proc/sys/kernel/vsyscall64 
0
[root@void ~]# echo 1 >  /proc/sys/kernel/vsyscall64 
[root@void ~]# echo 0 >  /proc/sys/kernel/vsyscall64 
[root@void ~]# cat  /proc/sys/kernel/vsyscall64 
0

But we should add a not, such as the one we have on the ftrace section, remeinding the reader that "1 >" and "1>" have different meanings on the shell. So, yes, "echo 1>  /proc/sys/kernel/vsyscall64" will fail.

Note You need to log in before you can comment on or make changes to this bug.